---
title: Join SimpleX Chat team
permalink: /jobs/index.html
layout: layouts/jobs.html
---

# Join SimpleX Chat team

SimpleX Chat Ltd is a seed stage startup with a lot of user growth in 2022-2023, and a lot of exciting technical and product problems to solve to grow faster.

We currently have 4 full-time people in the team - all engineers, including the founder.

We want to add up to 3 people to the team. 


## Who we are looking for

### Application Haskell engineer

You are an expert in language models, databases and Haskell:
- expert knowledge of SQL.
- exception handling, concurrency, STM.
- type systems - we use ad hoc dependent types a lot.
- experience integrating open-source language models.
- experience developing community-centric applications.
- interested to build the next generation of messaging network.

You will be focussed mostly on our client applications, and will also contribute to the servers also written in Haskell. 

### iOS / Mac engineer

You are an expert in Apple platforms, including:
- iOS and Mac platform architecture.
- Swift and Objective-C.
- SwiftUI and UIKit.
- extensions, including notification service extension and sharing extension.
- low level inter-process communication primitives for concurrency.
- interested about creating the next generation of UX for a communication/social network.

Knowledge of Android and Kotlin Multiplatform would be a bonus - we use Kotlin Jetpack Compose for our Android and desktop apps.

## About you

- **Passionate about joining SimpleX Chat team**:
  - already use SimpleX Chat to communicate with friends/family or participate in public SimpleX Chat groups.
  - passionate about privacy, security and communications.
  - interested to make contributions to SimpleX Chat open-source project in your free time before we hire you, as an extended test.

- **Exceptionally pragmatic, very fast and customer-focussed**:
  - care about the customers (aka users) and about the product we build much more than about the code quality, technology stack, etc.
  - believe that the simplest solution is the best.
  - 2-3x faster than the most competent people you worked with.
  - focus on solving only today's problems and resist engineering for the future (aka over-engineering) – see [The Duct Tape Programmer](https://www.joelonsoftware.com/2009/09/23/the-duct-tape-programmer/) and [Why I Hate Frameworks](https://medium.com/@johnfliu/why-i-hate-frameworks-6af8cbadba42).
  - do not suffer from "not invented here" syndrome, at the same time interested to design and implement protocols and systems from the ground up when appropriate.

- **Love software engineering**:
  - have 5y+ of software engineering experience in complex projects, 
  - great understanding of the common principles:
    - data structures, bits and byte manipulation
    - text encoding and manipulation
    - software design and algorithms
    - concurrency
    - networking

- **Want to join a very early stage startup**:
  - high pace and intensity, longer hours.
  - a substantial part of the compensation is stock options.
  - full transparency – we believe that too much [autonomy](https://twitter.com/KentBeck/status/851459129830850561) hurts learning and slows down progress.


## How to join the team

1. [Install the app](https://github.com/simplex-chat/simplex-chat#install-the-app), try using it with the friends and [join some user groups](https://github.com/simplex-chat/simplex-chat#join-user-groups) – you will discover a lot of things that need improvements.

2. Also look through [GitHub issues](https://github.com/simplex-chat/simplex-chat/issues) submitted by the users to see what would you want to contribute as a test.

3. [Connect to us](https://simplex.chat/contact#/?v=1&smp=smp%3A%2F%2Fu2dS9sG8nMNURyZwqASV4yROM28Er0luVTx5X1CsMrU%3D%40smp4.simplex.im%2FKBCmxJ3-lEjpWLPPkI6OWPk-YJneU5uY%23%2F%3Fv%3D1%26dh%3DMCowBQYDK2VuAyEAtixHJWDXvYWcoe-77vIfjvI6XWEuzUsapMS9nVHP_Go%253D%26srv%3Do5vmywmrnaxalvz6wi3zicyftgio6psuvyniis6gco6bp6ekl4cqj4id.onion) via SimpleX Chat to chat about what you want to contribute and about joining the team.
